﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{009943AE-4CFF-4B8C-83DF-FBC543AA94F3}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>PNetU</RootNamespace>
    <AssemblyName>PNet2ClientUnity</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>..\..\bin\Release\PNet2ClientUnity.XML</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="UnityEngine">
      <HintPath>..\..\lib\UnityEngine.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Net.cs" />
    <Compile Include="NetBehaviour.cs" />
    <Compile Include="NetworkedSceneObject.cs" />
    <Compile Include="NetworkView.cs" />
    <Compile Include="NetworkView.Static.cs" />
    <Compile Include="NetworkViewManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UnityDebugLogger.cs" />
    <Compile Include="EngineHook.cs" />
    <Compile Include="UnityExtensions.cs" />
    <Compile Include="UnitySerializers.cs" />
    <Compile Include="Utilities.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\lib\lidgren-network-gen3\Lidgren.Network\Lidgren.Network.csproj">
      <Project>{49ba1c69-6104-41ac-a5d8-b54fa9f696e8}</Project>
      <Name>Lidgren.Network</Name>
    </ProjectReference>
    <ProjectReference Include="..\PNet2Client\PNet2Client.csproj">
      <Project>{0c5357d1-0b15-4568-bcfa-b32824c963b9}</Project>
      <Name>PNet2Client</Name>
    </ProjectReference>
    <ProjectReference Include="..\PNet2\PNet2.csproj">
      <Project>{ebac22f9-499d-4c46-bace-6877585796ac}</Project>
      <Name>PNet2</Name>
      <Aliases>global,pnet</Aliases>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>